---
- name: configure devices using j2 templates
  hosts: network
  vars:
    vyos_template: j2/vyos-config.j2
    ios_template: j2/ios-config.j2
  tasks:
  - name: configure {{ inventory_hostname }}
    vyos_config:
      src: "{{ vyos_template }}"
    when: ansible_network_os == 'vyos'
  - name: configure {{ inventory_hostname }}
    ios_config:
      src: "{{ ios_template }}"
    when: ansible_network_os == 'ios'

  - cli_config:
      config: "{{ lookup('template', 'j2/vyos-config.j2') }}"
